body{
    
    margin: 0 auto;
    box-sizing: border-box;
    background-image: url(../image/Фон\ 1.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    height: 100%;
  
}

.hidden{
    display: none;
}

.header{
    
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 58px;
    background-color: RGBA(0,0,0,0.4);
    
}

.header .header-left-text{
    text-transform: uppercase;
    text-decoration: none;
    margin-left: 80px;
    font-family: 'Ubuntu';
    font-weight: 700;
    font-size: 22px;
    line-height: 1;
    color: #fff;
    transition: 0.5s;
}

.header .header-left-text:hover{
    color: #01813F;
    ;
}

.header-right-wrapper{
    display: flex;
    align-items: center;
    margin-right: 80px;
}

.header .icon-wrapper{
    display:flex;
    justify-content: space-between;
    width: 124px;
    gap: 24px;
    margin-right: 24px;

}
.header .header-icon{
    height: 24px;
    width: 24px;
   
    
}

.header .icon-link{
    color: #fff;
    transition: 0.5s;
    
}

.header .icon-link:hover{
    color: #01813F;
    
}

.header .login-text{
    font-family: 'Ubuntu';
    font-size: 14px;
    line-height: 1;    
    color: #FFF;
}


.header .login-text::before{
    content: "";
    width: 1.5em;
    border-left: 1px solid rgba(255, 255, 255, 0.9);
    padding-left: 26px;
}

.header .login-link,
.header .signup-link {
    font-family: 'Ubuntu';
    font-size: 14px;
    line-height: 1;
    text-decoration: none;
    color: #FFF;
    transition: 0.5s;
}

.header .login-link:hover,
.header .signup-link:hover {
    
    color: #01813F;
}


/* form-wrapper */
.main-form-wrapper{
   position:absolute;
   top:58px;
   display: flex;
   justify-content: center;
   align-items: center;
   height: 100%;
   width: 100%;
    
}

.form-wrapper{
    
    width: 444px;
    height: 584px;
    background-color: #fff;

}

.form-wrapper .form-title{
    padding-top: 14px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 25px;
    
}

.form-wrapper .form-title .signup-text{
    font-family: 'Ubuntu';
    font-size: 20px;
    line-height: 1;
    color: #434343;
}

.form-wrapper .form-title .signup-text:before{
    content:'';
    border-left: 18px solid #3CB878;
    font-size:16px;
    margin-right: 43px;
}

.form-wrapper .form-title .login-link{
    margin-right: 59px;
    text-decoration: none;
    color: #3CB878;
    font-family: 'Ubuntu';
    font-size: 14px;
    line-height: 1;
    transition: 0.5s;
}

.form-wrapper .form-title .login-link:hover{
    
    text-decoration: underline;
    color: #01813F;
    
}

.form-wrapper .button-wrapper {
    width: 324px;
    margin-left: auto;
    margin-right: auto;
    display: flex;
    justify-content: space-between;
}

.form-wrapper .button-wrapper .social-media{
    width: 160px;
    height: 48px;
    padding:0px;
    border:none;
    
    padding-right: 18px;
    padding-left: 16px;
    margin-bottom: 30px;

    display: flex;
    align-items: center;
} 
.form-wrapper .button-wrapper .facebook-media-link,
.form-wrapper .button-wrapper .google-media-link{
    display:flex;
    align-items: center;
    text-decoration: none;
    font-family: 'Ubuntu';
    font-size: 16px;
    line-height: 1;
    color: #FFFFFF;
}

/* to add after element with border */

.form-wrapper .button-wrapper .facebook{
    background-image: url(../image/f\ 1.svg);
    background-repeat: no-repeat;
    background-position-y: center;
    background-position-x: 16px;
    background-color: #305DB8;
    transition: 0.5s;
}
.form-wrapper .button-wrapper .facebook:hover{
    background-color: #022263;
}
.form-wrapper .button-wrapper .google{
    background-image: url(../image/G+.svg);
    background-repeat: no-repeat;
    background-position-y: center;
    background-position-x: 16px;
    background-color: #DF4A32;
    transition: 0.5s;

    
}
.form-wrapper .button-wrapper .google:hover{
    background-color: #AB1F09;
}
.form-wrapper .button-wrapper .facebook-media-link::before{
    content :"";
    border-left: 1px solid #0A162F;
    margin-left: 32px;
    padding-left: 18px;
    opacity: 0.1;
    display: inline-block;
    height: 28px;
    
}

.form-wrapper .button-wrapper .google-media-link::before{
    content :"";
    border-left: 1px solid #2B0D09;
    margin-left: 36px;
    padding-left: 18px;
    opacity: 0.1;
    display: inline-block;
    height: 28px;
    
}


.form-wrapper .form-switcher{
    font-family: 'Ubuntu';
    font-size: 14px;
    line-height: 1;
    color: #848484;
    margin-left: 58px;
    margin-bottom: 10px;
}



.form-wrapper .form-switcher::before,
.form-wrapper .form-switcher::after{
    content:"";
    display: inline-block;
    width: 152px;
    font-size: 6px;
    border-top:1px solid #f2f2f2;
}

.form-wrapper .form{
    width: 324px;
    margin-left: auto;
    margin-right: auto;
}

.form-wrapper .form .form-field{
    width:100%;
    height: 44px;
    margin-bottom: 15px;
    box-sizing: border-box;
    border: 1px solid #f2f2f2;
    font-family: 'Ubuntu';
    font-size: 14px;
    line-height: 1;
    padding:0px 0px 0px 20px;
 
}

.form-wrapper .form .form-field:focus{
   box-shadow: 0px 3px 8px 0px #00000036;
   outline: none;
   color: #434343;

}

.form-wrapper .form .checkbox-label{
    font-family: 'Ubuntu';
    font-size: 14px;
    line-height: 1;
    color: #434343;
      
}

.form-wrapper .form .agreeterms-link{
    text-decoration: none;
    color:#3CB878;
    transition: 0.5s;
}

.form-wrapper .form .agreeterms-link:hover{
    text-decoration: underline;
    color:#01813F;
}

.form-wrapper .form .checkbox-wrapper{
    margin-bottom: 20px;
   
}
.form-wrapper .form .checkbox-label{
    display: flex;
    align-items: center;
}

/* hiding standard checkbox */
.form-wrapper .checkbox-label input{
    position: absolute;
    cursor: pointer;
    height: 0;
    width: 0;
    opacity: 0;
    
}
/* adding customized checkbox */
.form-wrapper .checkbox-label .checkmark{
  position: relative;
  display: inline-block;
  top: 0;
  left: 0;
  height: 20px;
  width: 20px;
  background: #00000000;
  border: 1px solid #F2F2F2;
  margin-right: 8px;
}

/* Create the checkmark/indicator (hidden when not checked) */
.form-wrapper .checkbox-label .checkmark::after {
    /* content: url("data:image/svg+xml,%0A%3Csvg width='16' height='17' viewBox='0 0 16 17' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M1 7.5L7 14.5L15 1' stroke='%233CB878CC' stroke-width='2'/%3E%3C/svg%3E%0A"); */
    content: "";
    padding:2px;
    display: block;
  }

  /* Show the checkmark when checked */
.form-wrapper .checkbox-label input:checked ~ .checkmark:after {
    content: url("data:image/svg+xml,%0A%3Csvg width='16' height='17' viewBox='0 0 16 17' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M1 7.5L7 14.5L15 1' stroke='%2301813F' stroke-width='2'/%3E%3C/svg%3E%0A");
  }

  
.form-wrapper .form .button{
    
    border: none;
    color: white;
    text-align: center;
    font-family: 'Ubuntu';
    /* text-decoration: none;
    display: inline-block; */
    font-size: 16px;
    background: rgba(60, 184, 120, 0.8);
    border-radius: 4px;
    width:100%;
    height: 46px;
    transition: 0.5s;
}
.form-wrapper .form .button:hover,
.form-wrapper .form .button:focus{
    background-color: #01813F;
    cursor: pointer;
}

